summaryrefslogtreecommitdiff
path: root/tests/misc/printf-hex
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/printf-hex')
-rwxr-xr-xtests/misc/printf-hex8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/misc/printf-hex b/tests/misc/printf-hex
index df001cd8d..d3d5d04b2 100755
--- a/tests/misc/printf-hex
+++ b/tests/misc/printf-hex
@@ -1,7 +1,7 @@
#!/bin/sh
# make sure that only two hex. digits are consumed in a \xHHH sequence
-# Copyright (C) 2002, 2004 Free Software Foundation, Inc.
+# Copyright (C) 2002, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,12 +22,12 @@ prog=`pwd`/../../src/printf
if test "$VERBOSE" = yes; then
set -x
- $prog --version
+ "$prog" --version
fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
@@ -41,7 +41,7 @@ fi
fail=0
-$prog '\x7e3\n' > out || fail=1
+"$prog" '\x7e3\n' > out || fail=1
cat <<\EOF > exp
~3
EOF